Skip to main content
`Ctrl`+`K`

# skbio.diversity.alpha.esty_ci

skbio.diversity.alpha.esty_ci(counts)

  Calculate Esty’s confidence interval of Good’s coverage estimator.

  Esty’s confidence interval is defined as:

  \[F_1/N \pm z\sqrt{W}\]

  where \(F_1\) is the number of singleton taxa, \(N\) is the total number of individuals, and \(z\) is a constant that depends on the targeted confidence and based on the normal distribution.

  \(W\) is defined as:

  \[\frac{F_1(N-F_1)+2NF_2}{N^3}\]

  where \(F_2\) is the number of doubleton taxa.

  Parameters:
    counts 1-D array_like, int

      Vector of counts.

  Returns:
    tuple

      Esty’s confidence interval as `(lower_bound, upper_bound)`.

  See also

  `goods_coverage`

  Notes

  Esty’s confidence interval was originally described in [1].

  \(z\) is hardcoded for a 95% confidence interval.

  References

  [1]

  Esty, W. W. (1983). “A normal limit law for a nonparametric estimator of the coverage of a random sample”. Ann Statist 11: 905-912.